<!DOCTYPE html>
<html><head>
<meta http-equiv="content-type" content="text/html; charset=windows-1252">
<style>
			body { margin: 0; width:100%; height:100%;  background-color:#000000; }
			html { width:100%; height:100%; background-color:#000000; }
			.embed-container iframe,
			.embed-container object,
			.embed-container embed {
				position: absolute;
				top: 0;
				left: 0;
				bottom: 0;
				right: 0;
				width: 100% !important;
				height: 100% !important;
			}
	</style>
</head>
<body>
<div class="embed-container">
<iframe id="player" allowfullscreen="1" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" title="YouTube video player" src="youtube_embed_data/qa0tLOu_V5g.html" width="1936" height="1056" frameborder="0"></iframe>
</div>
<script type="text/javascript" id="www-widgetapi-script" src="youtube_embed_data/www-widgetapi.js" async=""></script><script src="youtube_embed_data/iframe_api" onerror="onYouTubeIframeAPIFailedToLoad()"></script>
<script>
			// For GDPR
			var useNocookie = window.location.href.indexOf('nocookie=1') > -1
			var player;
			var error = false;

			function onYouTubeIframeAPIFailedToLoad(){
				console.error('Error: YouTube Api failed to load')
			}

			function onPlayerReady(event) {
				sendMessage({cmd: 'onReady', parms: [event.data]});

				window.setInterval(getCurrentTime, 20);
			}

			function onPlayerStateChange(event) {
				if (!error) {
					sendMessage({cmd: 'onStateChange', parms: [event.data]});
				} else {
					error = false;
				}
			}

			function onPlayerPlaybackQualityChange(event) {
				//App.onPlaybackQualityChange(event.data)
			}

			function onPlayerError(event) {
				if (event.data == 100 || event.data == 150) {
					error = true;
				}
				//App.onError(event.data)
				sendMessage({cmd: 'onError', parms: [event.data]});
			}

			function onPlayerPlaybackRateChange(event) {
				var newSpeed = event.data;
				sendMessage({cmd: 'setCurrentSpeed', parms: [newSpeed]});
			}

			function onYouTubeIframeAPIReady() {
				sendMessage({cmd: 'onYouTubeIframeAPIReady', parms: ['hi']});
			}

			function initPlayer(params) {
				var playerOptions = {
					"videoId": params.videoId,
					'height': '100%',
					'width': '100%',
					"host": useNocookie ? "https://www.youtube-nocookie.com" : "https://www.youtube.com",
					"playerVars": {
						"playsinline": 1,
						"host": "https://www.youtube.com",
						"origin": "https://www.youtube.com",
						"controls": params.config && params.config.controls ? 1 : 0,
						"modestbranding": 1,
						"showinfo": 0,
						"rel": 0,
						"theme": "light",
						"iv_load_policy": 3,
						"fs": 0,
						"enablejsapi": 1
					},
					"events": {
						"onReady": onPlayerReady,
						"onError": onPlayerError,
						"onStateChange": onPlayerStateChange,
						"onPlaybackQualityChange": onPlayerPlaybackQualityChange,
						"onPlaybackRateChange": onPlayerPlaybackRateChange
					}
				}
				player = new YT.Player('player', playerOptions);
				player.setSize(window.outerWidth, window.outerHeight);
				window.yt = player;
			}

			function getCurrentTime() {
				var state = player.getPlayerState();
				if (state == YT.PlayerState.PLAYING) {
					time = player.getCurrentTime()
					//App.onPlayTime(time)
					sendMessage({cmd: 'setCurrentTime', parms: [time] });
				}
			}

			function playVideo(){
				yt.playVideo();
			}

			function seekTo(time){
				yt.seekTo(time);
			}

			function pauseVideo(){
				yt.pauseVideo();
			}

			function mute(){
				yt.mute();
			}

			function unMute(){
				yt.unMute();
			}

			function setVolume(volume){
				yt.setVolume(volume);
			}

			function setPlaybackRate(parm){
				yt.setPlaybackRate(parm);
			}

			window.onresize = function() {
				if (typeof player !== 'undefined') {
					player.setSize(window.outerWidth, window.outerHeight);
				}
			}

			window.addEventListener('message', function(e){
				if( e.origin == 'https://www.youtube.com' ){
					//console.log('msg from YT, pass upwards', e, e.data);
					//sendMessage(e.data);
					return;
				}
				//console.log('child', e);
				if( window[e.data.cmd] !== undefined ){
					//console.log(e.data.cmd);
					if( e.data.parms !== undefined && e.data.parms[0] !== undefined ){
						//console.log(e.data.parms[0]);
						window[e.data.cmd](e.data.parms[0]);
					} else {
						window[e.data.cmd]();
					}
				}
			});

			window.sendMessage = function(msg){
				window.parent.postMessage(msg, '*');
			}
		</script>


</body></html>